# AssignAssetInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The ID of the asset to assign

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)

The subscription ID to assign the asset to

#### orderedProductId ([ID](/graphql-api/api-reference/objects/id.md))

An optional ordered product ID to assign the asset to (has to belong to the same subscription)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/assign-asset-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
